| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Stdio
Stdio.FakeFile

Methods
_sizeof()
cast()
close()
create()
dup()
errno()
getchar()
gets()
line_iterator()
peek()
query_address()
query_close_callback()
query_id()
query_read_callback()
query_read_oob_callback()
query_write_callback()
query_write_oob_callback()
read()
read_function()
seek()
set_blocking()
set_blocking_keep_callbacks()
set_close_callback()
set_id()
set_nonblocking()
set_nonblocking_keep_callbacks()
set_read_callback()
set_read_oob_callback()
set_write_callback()
set_write_oob_callback()
stat()
sync()
tell()
truncate()
unread()
write()

Stdio.FakeFile()->_sizeof() | Stdio.FakeFile()->close()

# Method Stdio.FakeFile()->cast()

Method cast

  `mixed cast(string to)`

Description

  A FakeFile can be casted to a string.